#pragma once

#include "geometry/vector.hpp"


namespace frog::gl
{
    class mesh;
}


namespace frog::gl::shape
{


mesh cuboid(frog::geo::vec3 size);

mesh sphere(int rings, int sides, float radius);

mesh polygon_2D(int sides, float radius);

mesh paddle(int layers, int pieces, float radius, float alpha, float beta);


} // namespace frog::gl::shape
